#include "chdecl.h"
void CH_checkdefinitions(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb9;
    case 5: goto c11;
    case 4: goto c14;
    case 6: goto c14;
    case 7: goto c15;
    case 8: goto cb18;
    case 9: goto c19;
    case 10: goto cb22;
    case 11: goto c23;
    case 12: goto cb26;
    case 13: goto c27;
    case 14: goto cb30;
    case 15: goto c31;
    case 16: goto cb34;
    case 17: goto c35;
    case 18: goto cb38;
    case 19: goto c39;
    case 20: goto cb42;
    case 21: goto c43;
    case 22: goto cb46;
    case 23: goto c47;
    case 24: goto cb50;
    case 25: goto c51;
    case 26: goto cb54;
    case 27: goto c55;
    case 28: goto cb60;
    case 29: goto c61;
    case 30: goto cb65;
    case 31: goto c66;
    case 32: goto cb70;
    case 33: goto c71;
    case 34: goto c81;
    case 35: goto cb86;
    case 37: goto c88;
    case 38: goto c90;
    case 39: goto cb92;
    case 36: goto c94;
    case 41: goto c94;
    case 40: goto c95;
    case 42: goto c95;
    case 43: goto c109;
    case 44: goto c113;
    case 45: goto cb114;
    case 46: goto c115;
    case 47: goto cb121;
    case 48: goto c122;
    case 49: goto cb127;
    case 50: goto c128;
    case 51: goto c131;
    case 52: goto c133;
    case 53: goto c135;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* copy 4 3.0 */
  if((ch_returncode = (REF(3)DOT(0).tsdr->copy)(& ch_val, REF(3)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(3)DOT(0).tsdr->number];
/* copy 5 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* new_inport 6 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val; REF(6).tsdr = & dr_inport;
/* connect 3.2 6 */
  if (REF(6).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(6).value.inport->refcount++;
  REF(3)DOT(2).value.outport = REF(6).value.inport;
  REF(3)DOT(2).tsdr = & dr_outport;
/* new_inport 7 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_inport;
/* connect 3.3 7 */
  if (REF(7).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(7).value.inport->refcount++;
  REF(3)DOT(3).value.outport = REF(7).value.inport;
  REF(3)DOT(3).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
  current->ip = 3;
cb9:
/* select 7 * 6 * , 1 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(7),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(6),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 3) return; else COMPUTE_TARGET;
c11:
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c10:
c14:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c15:
/* new_record 8 , 11 */
  if ((ch_val.record = new_record(11)) == nil) goto ch_depletion;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val; REF(8).tsdr = & dr_record;
/* chs_lit 9 , "load" */
  if( !chs_lit(DEF(9),"load") ) goto ch_depletion;
/* chs_lit 10 , "" */
  if( !chs_lit(DEF(10),"") ) goto ch_depletion;
  current->ip = 8;
cb18:
/* call 5.2 9 10 11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(9),
          arguments[2] = DEF(10),
          arguments[3] = DEF(11),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c19:
/* unwrap 8.0 11 , 5 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(0),DEF(11),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 12 , "pathLoad" */
  if( !chs_lit(DEF(12),"pathLoad") ) goto ch_depletion;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
  current->ip = 10;
cb22:
/* call 5.2 12 13 14 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[3] = DEF(14),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* unwrap 8.1 14 , 5 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(1),DEF(14),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 15 , "readObj" */
  if( !chs_lit(DEF(15),"readObj") ) goto ch_depletion;
/* chs_lit 16 , "" */
  if( !chs_lit(DEF(16),"") ) goto ch_depletion;
  current->ip = 12;
cb26:
/* call 5.2 15 16 17 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(15),
          arguments[2] = DEF(16),
          arguments[3] = DEF(17),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c27:
/* unwrap 8.2 17 , 6 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(2),DEF(17),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 18 , "pathReadObj" */
  if( !chs_lit(DEF(18),"pathReadObj") ) goto ch_depletion;
/* chs_lit 19 , "" */
  if( !chs_lit(DEF(19),"") ) goto ch_depletion;
  current->ip = 14;
cb30:
/* call 5.2 18 19 20 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(18),
          arguments[2] = DEF(19),
          arguments[3] = DEF(20),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c31:
/* unwrap 8.3 20 , 6 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(3),DEF(20),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 21 , "writeObj" */
  if( !chs_lit(DEF(21),"writeObj") ) goto ch_depletion;
/* chs_lit 22 , "" */
  if( !chs_lit(DEF(22),"") ) goto ch_depletion;
  current->ip = 16;
cb34:
/* call 5.2 21 22 23 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(21),
          arguments[2] = DEF(22),
          arguments[3] = DEF(23),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c35:
/* unwrap 8.4 23 , 7 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(4),DEF(23),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 24 , "store" */
  if( !chs_lit(DEF(24),"store") ) goto ch_depletion;
/* chs_lit 25 , "" */
  if( !chs_lit(DEF(25),"") ) goto ch_depletion;
  current->ip = 18;
cb38:
/* call 5.2 24 25 26 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(24),
          arguments[2] = DEF(25),
          arguments[3] = DEF(26),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c39:
/* unwrap 8.6 26 , 8 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(6),DEF(26),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 27 , "libWriteObj" */
  if( !chs_lit(DEF(27),"libWriteObj") ) goto ch_depletion;
/* chs_lit 28 , "" */
  if( !chs_lit(DEF(28),"") ) goto ch_depletion;
  current->ip = 20;
cb42:
/* call 5.2 27 28 29 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(27),
          arguments[2] = DEF(28),
          arguments[3] = DEF(29),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c43:
/* unwrap 8.5 29 , 7 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(5),DEF(29),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 30 , "libStore" */
  if( !chs_lit(DEF(30),"libStore") ) goto ch_depletion;
/* chs_lit 31 , "" */
  if( !chs_lit(DEF(31),"") ) goto ch_depletion;
  current->ip = 22;
cb46:
/* call 5.2 30 31 32 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(30),
          arguments[2] = DEF(31),
          arguments[3] = DEF(32),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c47:
/* unwrap 8.7 32 , 8 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(7),DEF(32),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 33 , "getCwd" */
  if( !chs_lit(DEF(33),"getCwd") ) goto ch_depletion;
/* chs_lit 34 , "" */
  if( !chs_lit(DEF(34),"") ) goto ch_depletion;
  current->ip = 24;
cb50:
/* call 5.2 33 34 35 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(33),
          arguments[2] = DEF(34),
          arguments[3] = DEF(35),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c51:
/* unwrap 8.8 35 , 9 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(8),DEF(35),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 36 , "setCwd" */
  if( !chs_lit(DEF(36),"setCwd") ) goto ch_depletion;
/* chs_lit 37 , "" */
  if( !chs_lit(DEF(37),"") ) goto ch_depletion;
  current->ip = 26;
cb54:
/* call 5.2 36 37 38 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(36),
          arguments[2] = DEF(37),
          arguments[3] = DEF(38),
          arguments[3+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c55:
/* unwrap 8.9 38 , 10 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(9),DEF(38),QUAL(10)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 8.10 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8)DOT(10).tsdr)->finalize)(REF(8)DOT(10).value,F_DISCARD,sched);
  REF(8)DOT(10).value = ch_val;
  REF(8)DOT(10).tsdr = datarepmap[REF(4).tsdr->number];
/* boolean 39 , TRUE */
  REF(39).value.boolean = TRUE;
  REF(39).tsdr = & dr_boolean;
/* chs_lit 40 , "checkdefs" */
  if( !chs_lit(DEF(40),"checkdefs") ) goto ch_depletion;
  current->ip = 28;
cb60:
/* call 8.1 40 41 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
/* procedure 42 41 , 12 */
  if ((ch_returncode = che_procedure(DEF(42),DEF(41),QUAL(12)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* move 43 42 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43) = REF(42);
  REF(42).tsdr = & dr_bottom;
/* chs_lit 44 , "do_shorten" */
  if( !chs_lit(DEF(44),"do_shorten") ) goto ch_depletion;
  current->ip = 30;
cb65:
/* call 8.1 44 45 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(44),
          arguments[2] = DEF(45),
          arguments[2+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c66:
/* procedure 46 45 , 13 */
  if ((ch_returncode = che_procedure(DEF(46),DEF(45),QUAL(13)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* move 47 46 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47) = REF(46);
  REF(46).tsdr = & dr_bottom;
/* chs_lit 48 , "fakecheckeddefinitions" */
  if( !chs_lit(DEF(48),"fakecheckeddefinitions") ) goto ch_depletion;
  current->ip = 32;
cb70:
/* call 8.1 48 49 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(48),
          arguments[2] = DEF(49),
          arguments[2+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c71:
/* procedure 50 49 , 14 */
  if ((ch_returncode = che_procedure(DEF(50),DEF(49),QUAL(14)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* move 51 50 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51) = REF(50);
  REF(50).tsdr = & dr_bottom;
/* new_record 52 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val; REF(52).tsdr = & dr_record;
/* typename 52.0 , 15 */
  if ((ch_returncode = che_typename(DEF(52)DOT(0),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* typename 52.1 , 16 */
  if ((ch_returncode = che_typename(DEF(52)DOT(1),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* typename 53 , 17 */
  if ((ch_returncode = che_typename(DEF(53),QUAL(17),sched)) != Normal) 
     goto ch_raise_exception;
c81:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* not 55 39 */
  REF(55).value.boolean = !REF(39).value.boolean;
  REF(55).tsdr = & dr_boolean;
  current->ip = 35;
cb86:
/* select 7 55 6 * , 19 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(7),
          arguments[1] = DEF(55),
          arguments[2] = DEF(6),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 35) return; else COMPUTE_TARGET;
c88:
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c90:
/* boolean 39 , FALSE */
  REF(39).value.boolean = FALSE;
  REF(39).tsdr = & dr_boolean;
  current->ip = 39;
cb92:
/* receive 56 6 */
  if ((ch_returncode = che_receive(DEF(56),DEF(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
c94:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c93:
c95:
/* copy 54 56.1 */
  if((ch_returncode = cp_table(& ch_val, REF(56)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = & dr_table;
/* boolean 57 , FALSE */
  REF(57).value.boolean = FALSE;
  REF(57).tsdr = & dr_boolean;
/* find_or_goto 58 54 53.0 , 0,99 */
  if (findfunc(DEF(58),DEF(54),(
          arguments[0] = DEF(53)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto c99;
/* boolean 57 , TRUE */
  REF(57).value.boolean = TRUE;
  REF(57).tsdr = & dr_boolean;
c99:
/* not 59 57 */
  REF(59).value.boolean = !REF(57).value.boolean;
  REF(59).tsdr = & dr_boolean;
/* branch_false 59 , 113 */
  if ( !REF(59).value.boolean ) goto c113;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* currentprogram 60 */
  if ((ch_val.program = make_pgm_copy(sched->ready->prog)) == nil)
     goto ch_depletion;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val; REF(60).tsdr = & dr_program;
/* find 61 60.0 53.0 , 0 */
  if (findfunc(DEF(61),DEF(60)DOT(0),(
          arguments[0] = DEF(53)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 62 61 */
  if((ch_returncode = (REF(61).tsdr->copy)(& ch_val, REF(61).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val;
  REF(62).tsdr = datarepmap[REF(61).tsdr->number];
/* insert 54 62 */
  if ((ch_returncode = insertfunc(DEF(54),DEF(62),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 113 */
   goto c113;
c109:
/* chs_lit 63 , "Whoa! predefined not found, and we needed it in checkdefinitions.p!!" */
  if( !chs_lit(DEF(63),
    "Whoa! predefined not found, and we needed it in checkdefinitions.p!!") )
     goto ch_depletion;
/* print 63 */
  re_print(stderr, 0, DEF(63)); fflush(stderr);
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c113:
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
  current->ip = 45;
cb114:
/* call 43 8 56.0 54 52 56.2 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(43),
          arguments[1] = DEF(8),
          arguments[2] = DEF(56)DOT(0),
          arguments[3] = DEF(54),
          arguments[4] = DEF(52),
          arguments[5] = DEF(56)DOT(2),
          arguments[5+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c115:
/* size 64 56.2 */
  REF(64).value.integer = REF(56)DOT(2).value.table->size;
  REF(64).tsdr = & dr_integer;
/* equal . 64 =(0) , 120 */
  if ( REF(64).value.integer == 0 ) goto c120;
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c120:
/* discard 56.2 */
  (*(REF(56)DOT(2).tsdr)->finalize)(REF(56)DOT(2).value,F_DISCARD,sched);
  REF(56)DOT(2).tsdr = & dr_bottom;
  current->ip = 47;
cb121:
/* call 47 8 56.0 54 56.2 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(47),
          arguments[1] = DEF(8),
          arguments[2] = DEF(56)DOT(0),
          arguments[3] = DEF(54),
          arguments[4] = DEF(56)DOT(2),
          arguments[4+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c122:
/* size 65 56.2 */
  REF(65).value.integer = REF(56)DOT(2).value.table->size;
  REF(65).tsdr = & dr_integer;
/* equal . 65 =(0) , 127 */
  if ( REF(65).value.integer == 0 ) goto c127;
/* exit , 23 */
  ch_e = handler_type__exit; ch_val = QUAL(23); goto ch_exception;
c127:
  current->ip = 49;
cb127:
/* call 51 56.0 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(51),
          arguments[1] = DEF(56)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c128:
/* return 56 */
  if (ch_caller = do_return(REF(56).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(56).value);
  REF(56).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 81 */
   goto c81;
c131:
/* return_exception 56 , 26 */
  if (ch_caller = do_return(REF(56).value)) {
    raise_user(QUAL(26),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(56),QUAL(26));
  REF(56).tsdr = & dr_bottom;
/* branch , 81 */
   goto c81;
c133:
/* endblock */
  che_endblock(sched);
c135:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
